import config
import function
import logging
import mqtt
import report
import time

logger = logging.getLogger(config.APP_NAME)


if __name__ == "__main__":
    if config.DEBUG:
        report.appLoggingConfigure(None, None, ((config.APP_NAME, logging.DEBUG), ), fmt=report.SHORT_FMT, host='localhost', port=19996)
    else:
        report.stdoutLoggingConfigure(((config.APP_NAME, logging.INFO), ), report.SHORT_FMT)
    #
    mc = mqtt.mqtt_client(host=config.MQTT_SERVER, port=config.MQTT_PORT, username=config.MQTT_USER,
                          password=config.MQTT_PASSWORD, name=config.APP_NAME)

    func = function.all_functions(mc)

    # for device in func.devicelist():
    #     device.add_warning_callback(None)

    while (True):
        time.sleep(1)
